Skip to main content
POST
List Projects

Authorizations

Authorization
string
header
required

Get access to data with your API token. Example header:

Authorization: Bearer 2991e2fb4b540fe75b8f90677b0b892b6314e4961cb001fe6eb452eee248a628

The token can be provisioned from the Tokens section in your Settings, and requires explicitly enabling Web API access.

Path Parameters

deploymentId
string
required

Your deployment ID.

Body

application/json
pageSize
integer<int64>
default:100

Maximum number of projects to return in a single page.

Required range: 1 <= x <= 3000
Example:

100

pageToken
string
default:""

Opaque cursor used for pagination. If not provided the first page will be returned.

Example:

""

filter
Projects Filter · object

Optionally apply filters to which projects should be returned.

Response

200 - application/json

OK

projects
Project · object[]

The list of projects.

pageToken
string

An opaque cursor used to paginate through the results.

Example:

"abc123"